Subject: Errors in .rc compile
From: [email-masked] (Steven McKay)

20 Dec 1996 13:23:24 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: Windows Eudora Light Version 1.5.2
Original-To: [email-masked]
Original-Sender: [email-masked]

Sorry to bother all of you again, but I am having difficulty compiling a .rc
file that came with the book.  I downloaded rcl from the ming32 home page.  The
file (listing2.rc) is as follows:

#include "windows.h"
#include "listing2.h"

MYAPP                ICON    DISCARDABLE     "GENERIC.ICO"

MYAPP MENU DISCARDABLE 
BEGIN
    POPUP "&File"
    BEGIN
        MENUITEM "E&xit",                   IDM_EXIT
    END
    MENUITEM "Test!",                       IDM_TEST
    POPUP "&Help"
    BEGIN
        MENUITEM "&About Listing 3-2...",   IDM_ABOUT
    END
END

ABOUTBOX DIALOG 22, 17, 171, 43
STYLE DS_MODALFRAME | WS_OVERLAPPED | WS_CAPTION | WS_SYSMENU
CAPTION "Listing 3-2"
FONT 8, "MS Sans Serif"
{
   CONTROL "MyApp", -1, "STATIC", SS_ICON | WS_CHILD | WS_VISIBLE, 3, 2, 16, 16
   CONTROL "Generic Application", -1, "STATIC", SS_LEFT | WS_CHILD |
WS_VISIBLE | WS_GROUP, 28, 4, 100, 8
   CONTROL "OK", IDOK, "BUTTON", BS_DEFPUSHBUTTON | WS_CHILD | WS_VISIBLE |
WS_GROUP | WS_TABSTOP, 116, 26, 50, 14
}

When I run

rcl -i listing2.rc -r listing2.res

rcl returns

listing2.rc:21: Error in dialog options: ''
listing2.rc:24: Error in dialog options: 'MS Sans Serif'
listing2.rc:25: Error in dialog options: ''
listing2.rc:26: Error in dialog options: '
listing2.rc:27: Error in dialog options: ''
listing2.rc:28: Error in dialog options: ''
Parsing of resource script failed.

(only the item in quotes in line25 is an arrowhead, in 27 and 8 it looks
like some music notes).  I'm at a loss as to what is wrong.  When I first
downloaded gnu-win32, I noticed that if I tried to look at any of the files
with notepad, they would come out as one long line because (I suppose) the
files had only a 
unix lf instead of a cr/lf.  I wonder if there's a similar problem due to
the fact that this file originated on the dos side? Any ideas?

S. McKay

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".